Attribute VB_Name = "modMyPlaySound"
Global Const SND_ALIAS = &H10000     '  name is a WIN.INI [sounds] entry
Global Const SND_ALIAS_ID = &H110000    '  name is a WIN.INI [sounds] entry identifier
Global Const SND_ALIAS_START = 0  '  must be > 4096 to keep strings in same section of resource file
Global Const SND_APPLICATION = &H80         '  look for application specific association
Global Const SND_ASYNC = &H1         '  play asynchronously
Global Const SND_FILENAME = &H20000     '  name is a file name
Global Const SND_LOOP = &H8         '  loop the sound until next sndPlaySound
Global Const SND_MEMORY = &H4         '  lpszSoundName points to a memory file
Global Const SND_NODEFAULT = &H2         '  silence not default, if sound not found
Global Const SND_NOSTOP = &H10        '  don't stop any currently playing sound
Global Const SND_NOWAIT = &H2000      '  don't wait if the driver is busy
Global Const SND_PURGE = &H40               '  purge non-static events for task
Global Const SND_RESERVED = &HFF000000  '  In particular these flags are reserved
Global Const SND_RESOURCE = &H40004     '  name is a resource name or atom
Global Const SND_SYNC = &H0         '  play synchronously (default)
Global Const SND_TYPE_MASK = &H170007
Global Const SND_VALID = &H1F        '  valid flags          / ;Internal /
Global Const SND_VALIDFLAGS = &H17201F    '  Set of valid flag bits.  Anything outside

Declare Function mciSendStringA Lib "winmm" (ByVal lpstrCommand As String, ByVal lpstrReturnString As String, ByVal uReturnLength As Long, ByVal hwndCallback As Long) As Long
Declare Function sndPlaySoundA Lib "winmm" (ByVal lpszSoundName As String, ByVal uFlags As Long) As Long

Function MyPlaySound(LongFileName$, Flags) As Boolean
If LongFileName$ = "" Then Exit Function

temp2$ = LCase(Right(LongFileName$, 3))
temp3$ = LCase(Right(LongFileName$, 4))
temp4$ = LCase(Right(LongFileName$, 5))
If temp3$ = ".wav" Or temp3$ = ".snd" Or temp2$ = ".au" Or temp3$ = ".aif" Or temp4$ = ".aifc" Or temp4$ = ".aiff" Then
 MyPlaySound = sndPlaySoundA(LongFileName$, Flags)
ElseIf temp3$ = ".mid" Or temp4$ = ".midi" Or temp3$ = ".rmi" Or temp3$ = ".avi" Then
 MyPlaySound = mciSendStringA(LongFileName$, "", 0&, 0&)
End If
End Function
